Name:           python-carddav
Version:        0.7.0
Release:        12%{?dist}
Summary:        Python CardDAV client compatible with mutt

License:        MIT
URL:            http://lostpackets.de/pycarddav/
Source0:        http://lostpackets.de/pycarddav/downloads/pyCardDAV-%{version}.tar.gz
Source1:        python-carddav-fedora.txt
Patch0:         %{name}-remove-shebangs.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Python library and front-end for syncing CardDAV\


%description %_description

%package -n python2-carddav
Summary: %summary
Requires:       python2-vobject
Requires:       python2-urwid
Requires:       python2-requests
Requires:       python2-lxml
Requires:       python2-pyxdg
Requires:       python2-dateutil
%{?python_provide:%python_provide python2-carddav}

%description -n python2-carddav %_description

%prep
%setup -q -n pyCardDAV-%{version}
rm -rf pyCardDAV.egg-info
%patch0 -p1
cp -p %{SOURCE1} README.fedora

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

 
%files -n python2-carddav
%doc README.rst README.fedora pycard.conf.sample
%{python2_sitelib}/*
%{_bindir}/pc_query
%{_bindir}/pycard-import
%{_bindir}/pycardsyncer


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.0-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-8
- Python 2 binary package renamed to python2-carddav
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 21 2015 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.7.0-2
- Fix missing Requires (BZ #1213142)

* Thu Feb 26 2015 Sebastian Dyroff <sdyroff@fedoraproject.org> - 0.7.0-1
- Bump version to 0.7.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Patrick Uiterwijk (LOCAL) <puiterwijk@redhat.com> - 0.4.1-5
- Require python-lxml

* Thu Jan 09 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.4.1-4
- Require python-requests (BZ #1047915)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.4.1-2
- Initial packaging

